Skip to main content
GET
Team Stats

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the team to get team stats for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, season, teamSlug, teamName, teamLogo, teamLogoUrl, league, leagueSlug, leagueName, leagueFullName, leagueType, group, position, medalClass, playoffMedalClass, stats, postseason, info, updatedAt

Available options:
id,
season,
teamSlug,
teamName,
teamLogo,
teamLogoUrl,
league,
leagueSlug,
leagueName,
leagueFullName,
leagueType,
group,
position,
medalClass,
playoffMedalClass,
stats,
postseason,
info,
updatedAt,
season.*,
teamLogo.*,
league.*,
stats.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
season,
-season,
league,
-league,
leagueType,
-leagueType,
teamName,
-teamName,
group,
-group,
position,
-position,
stats.GP,
-stats.GP,
stats.W,
-stats.W,
stats.T,
-stats.T,
stats.L,
-stats.L,
stats.OTW,
-stats.OTW,
stats.OTL,
-stats.OTL,
stats.GF,
-stats.GF,
stats.GA,
-stats.GA,
stats.GD,
-stats.GD,
stats.PTS,
-stats.PTS,
stats.PPG,
-stats.PPG,
postseason,
-postseason,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

league
string

Filter by league slug

leagueType
enum<string> | null

Filter by leagueType

Available options:
league,
cup,
null
season
string

Filter by season slug

season:not
string

Filter by season slug not equal to

season:to
string

Filter by season slug less than or equal to

champion
boolean

Filter by champion

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of team stats.

_meta
object
data
object[]